%define	major 0
%define libname %mklibname %{name} %{major}
%define develname %mklibname %{name} -d

Summary:	GNU recode
Name:		recode
Version:	3.6
Release:	%mkrel 23
Group:		Text tools
License:	GPL
URL:		http://recode.progiciels-bpi.ca/
Source0:	ftp://prep.ai.mit.edu:/pub/gnu/recode/recode-%{version}.tar.bz2
# OE: taken from debian, but symbol clash fix originates from here:
# http://www.pybliographer.org/help/recode.patch
# recode and mysql symbols collided and made php crash, this patch
# fixes this.
Patch0:		recode_3.6-15.diff
Patch1:		recode-3.6-format_not_a_string_literal_and_no_format_arguments.diff
Patch2:		recode-flex-m4.patch
# from fedora's 3.6-34: fix build with automake 1.12
Patch3:		recode-automake.patch
Patch4:		recode-3.6-automake-1.13.patch
BuildRequires:	flex
BuildRequires:	texinfo
BuildRequires:	gettext-devel

%description
The GNU recode utility converts files between various character sets.

%package -n	%{libname}
Summary:	Shared GNU recode library
Group:          System/Libraries

%description -n	%{libname}
The GNU recode utility converts files between various character sets.

This package provides the shared recode library.

%package -n	%{develname}
Summary:	Development files for the %{libname} library
Group:		Development/C
Obsoletes:	%{name}-devel
Provides:	%{name}-devel
Provides:	lib%{name}-devel
Requires:	%{libname} = %{version}
Obsoletes:	%{mklibname %{name} 0 -d}

%description -n	%{develname}
Development files for the %{libname} library

%prep
%setup -q
%patch0 -p1
%patch1 -p0
%patch2 -p1
%patch3 -p1 -b .automake
%patch4 -p1 -b .automake-1_13
rm m4/libtool.m4 acinclude.m4

%build
autoreconf -fi
export CFLAGS="%{optflags} -D_REENTRANT -fPIC"
%configure2_5x \
     --disable-static \
     --without-included-gettext
%make

%install
%makeinstall_std

%find_lang %{name}

# house cleansing
rm -f %{buildroot}%{_infodir}/dir %{buildroot}%{_libdir}/*.la

%post
%_install_info %{name}.info

%postun
%_remove_install_info %{name}.info

%files -f %{name}.lang
%defattr(-,root,root)
%doc BACKLOG COPYING INSTALL NEWS README
%doc THANKS doc
%{_bindir}/*
%{_mandir}/man1/*
%{_infodir}/*

%files -n %{libname}
%defattr(0644,root,root,755)
%attr(0755,root,root) %{_libdir}/lib*.so.*

%files -n %{develname}
%defattr(0644,root,root,755)
%doc contrib
%{_libdir}/*.so
%{_includedir}/*.h


%changelog

* Mon Jan 14 2013 umeabot <umeabot> 3.6-23.mga3
+ Revision: 380264
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 30 2012 cjw <cjw> 3.6-22.mga3
+ Revision: 336349
- add BuildRequires: texinfo for makeinfo
- patch4: fix build with automake 1.13

* Mon Dec 24 2012 cjw <cjw> 3.6-21.mga3
+ Revision: 334653
- patch3: fix build with automake 1.12, re-used from fedora

* Mon Feb 13 2012 fwang <fwang> 3.6-20.mga2
+ Revision: 208417
- add fedora patch to build with latest autotools

* Fri Jan 14 2011 mikala <mikala> 3.6-19.mga1
+ Revision: 17675
- Drop mdk macros
- imported package recode

